Comment 10 for bug 1304403

Not criticising here, but asking.
At a level deeper than "it causes apt to work correctly," why is adding
replaces a reasonable fix?
Nothing in libkdb5-7 actually replases libkadm5-mit8